%global forgeurl https://github.com/Yubico/yubikey-manager/
%global commit 758d27061dfbd949fa10d76455f745e29a49b850

Name:           yubikey-manager
Version:        5.3.0
Release:    1%{?dist}
Summary:        Python library and command line tool for configuring a YubiKey
License:        BSD-2-Clause


URL:            %{forgeurl}
#Source0:        %{forgesource}
Source0:        yubikey-manager-758d27061dfbd949fa10d76455f745e29a49b850.tar.gz
Source1:        %{name}.rpmlintrc

BuildArch:      noarch
BuildRequires:  swig pcsc-lite-devel ykpers pyproject-rpm-macros
BuildRequires:  python3-devel tox
BuildRequires:  %{py3_dist six pyscard pyusb click cryptography pyopenssl}
BuildRequires:  %{py3_dist tox-current-env poetry-core setuptools}
BuildRequires:  %{py3_dist makefun pytest}
BuildRequires:  %{py3_dist fido2} >= 0.9.0

Requires:       python3-%{name} = %{version}-%{release}
Requires:       u2f-hidraw-policy

%description
Command line tool for configuring a YubiKey.

%generate_buildrequires
%pyproject_buildrequires

%package -n python3-%{name}
Summary:        Python library for configuring a YubiKey
Requires:       ykpers pcsc-lite

%description -n python3-%{name}
Python library for configuring a YubiKey.

%prep
%autosetup -p1 -n yubikey-manager-758d27061dfbd949fa10d76455f745e29a49b850

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ykman yubikit

%check
%tox

%files -n python3-%{name} -f %{pyproject_files}
%license COPYING
%doc README.adoc NEWS

%files
%{_bindir}/ykman

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.3.0-1
- initial build
